# ApplicationFramework
TKPCAF
PPrsStd

# PPrsStd_AISPresentation Class Reference

`#include <PPrsStd_AISPresentation.hxx>`

Inheritance diagram for PPrsStd_AISPresentation:

[legend]

## Public Member Functions

Standard_EXPORT | PPrsStd_AISPresentation ()
Standard_EXPORT Standard_Boolean | IsDisplayed () const
Standard_EXPORT void | SetDisplayed (const Standard_Boolean B)
Standard_EXPORT void | SetDriverGUID (const Handle(PCollection_HExtendedString)&guid)
Standard_EXPORT Handle_PCollection_HExtendedString | GetDriverGUID () const
Standard_EXPORT Standard_Integer | Color () const
Standard_EXPORT void | SetColor (const Standard_Integer C)
Standard_EXPORT Standard_Real | Transparency () const
Standard_EXPORT void | SetTransparency (const Standard_Real T)
Standard_EXPORT Standard_Integer | Material () const
Standard_EXPORT void | SetMaterial (const Standard_Integer M)
Standard_EXPORT Standard_Real | Width () const
Standard_EXPORT void | SetWidth (const Standard_Real W)
| PPrsStd_AISPresentation (const Storage_stCONSTclCOM &a)
Standard_Boolean | _CSFDB_GetPPrsStd_AISPresentationmyIsDisplayed () const
void | _CSFDB_SetPPrsStd_AISPresentationmyIsDisplayed (const Standard_Boolean p)
| Handle (PCollection_HExtendedString) _CSFDB_GetPPrsStd_AISPresentationmyDriverGUID() const
void | _CSFDB_SetPPrsStd_AISPresentationmyDriverGUID (const Handle(PCollection_HExtendedString)&p)
Standard_Real | _CSFDB_GetPPrsStd_AISPresentationmyTransparency () const
void | _CSFDB_SetPPrsStd_AISPresentationmyTransparency (const Standard_Real p)
Standard_Integer | _CSFDB_GetPPrsStd_AISPresentationmyColor () const
void | _CSFDB_SetPPrsStd_AISPresentationmyColor (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPPrsStd_AISPresentationmyMaterial () const
void | _CSFDB_SetPPrsStd_AISPresentationmyMaterial (const Standard_Integer p)
Standard_Real | _CSFDB_GetPPrsStd_AISPresentationmyWidth () const
void | _CSFDB_SetPPrsStd_AISPresentationmyWidth (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | myIsDisplayed
Handle_PCollection_HExtendedString | myDriverGUID
Standard_Real | myTransparency
Standard_Integer | myColor
Standard_Integer | myMaterial
Standard_Real | myWidth

## Constructor & Destructor Documentation

Standard_EXPORT PPrsStd_AISPresentation::PPrsStd_AISPresentation | ( |  | ) |

PPrsStd_AISPresentation::PPrsStd_AISPresentation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PPrsStd_AISPresentation::_CSFDB_GetPPrsStd_AISPresentationmyColor | ( |  | ) | const`[inline]`

Standard_Boolean PPrsStd_AISPresentation::_CSFDB_GetPPrsStd_AISPresentationmyIsDisplayed | ( |  | ) | const`[inline]`

Standard_Integer PPrsStd_AISPresentation::_CSFDB_GetPPrsStd_AISPresentationmyMaterial | ( |  | ) | const`[inline]`

Standard_Real PPrsStd_AISPresentation::_CSFDB_GetPPrsStd_AISPresentationmyTransparency | ( |  | ) | const`[inline]`

Standard_Real PPrsStd_AISPresentation::_CSFDB_GetPPrsStd_AISPresentationmyWidth | ( |  | ) | const`[inline]`

void PPrsStd_AISPresentation::_CSFDB_SetPPrsStd_AISPresentationmyColor | ( | const Standard_Integer | p | ) | `[inline]`

void PPrsStd_AISPresentation::_CSFDB_SetPPrsStd_AISPresentationmyDriverGUID | ( | const Handle(PCollection_HExtendedString)& | p | ) | `[inline]`

void PPrsStd_AISPresentation::_CSFDB_SetPPrsStd_AISPresentationmyIsDisplayed | ( | const Standard_Boolean | p | ) | `[inline]`

void PPrsStd_AISPresentation::_CSFDB_SetPPrsStd_AISPresentationmyMaterial | ( | const Standard_Integer | p | ) | `[inline]`

void PPrsStd_AISPresentation::_CSFDB_SetPPrsStd_AISPresentationmyTransparency | ( | const Standard_Real | p | ) | `[inline]`

void PPrsStd_AISPresentation::_CSFDB_SetPPrsStd_AISPresentationmyWidth | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PPrsStd_AISPresentation::Color | ( |  | ) | const

Standard_EXPORT Handle_PCollection_HExtendedString PPrsStd_AISPresentation::GetDriverGUID | ( |  | ) | const

Standard_EXPORT const PPrsStd_AISPresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PPrsStd_AISPresentation::Handle | ( | PCollection_HExtendedString |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PPrsStd_AISPresentation::IsDisplayed | ( |  | ) | const

Standard_EXPORT Standard_Integer PPrsStd_AISPresentation::Material | ( |  | ) | const

Standard_EXPORT void PPrsStd_AISPresentation::SetColor | ( | const Standard_Integer | C | ) |

Standard_EXPORT void PPrsStd_AISPresentation::SetDisplayed | ( | const Standard_Boolean | B | ) |

Standard_EXPORT void PPrsStd_AISPresentation::SetDriverGUID | ( | const Handle(PCollection_HExtendedString)& | guid | ) |

Standard_EXPORT void PPrsStd_AISPresentation::SetMaterial | ( | const Standard_Integer | M | ) |

Standard_EXPORT void PPrsStd_AISPresentation::SetTransparency | ( | const Standard_Real | T | ) |

Standard_EXPORT void PPrsStd_AISPresentation::SetWidth | ( | const Standard_Real | W | ) |

Standard_EXPORT Standard_Real PPrsStd_AISPresentation::Transparency | ( |  | ) | const

Standard_EXPORT Standard_Real PPrsStd_AISPresentation::Width | ( |  | ) | const

## Field Documentation

Standard_Integer PPrsStd_AISPresentation::myColor `[private]`

Handle_PCollection_HExtendedString PPrsStd_AISPresentation::myDriverGUID `[private]`

Standard_Boolean PPrsStd_AISPresentation::myIsDisplayed `[private]`

Standard_Integer PPrsStd_AISPresentation::myMaterial `[private]`

Standard_Real PPrsStd_AISPresentation::myTransparency `[private]`

Standard_Real PPrsStd_AISPresentation::myWidth `[private]`

The documentation for this class was generated from the following file:

- PPrsStd_AISPresentation.hxx